broadcast-chan-0.2.1.2: Closable, fair, single-wakeup channel type that avoids 0 reader space leaks.

Copyright | (C) 2014-2021 Merijn Verstraaten
License | BSD-style (see the file LICENSE)
Maintainer | Merijn Verstraaten <merijn@inconsistent.nl>
Stability | experimental
Portability | haha
Safe Haskell | Safe
Language | Haskell2010

BroadcastChan.Prelude

Description

This module contains convenience functions that clash with names in Prelude and is intended to be imported qualified.

Synopsis

- forM_ :: MonadIO m => BroadcastChan Out a -> (a -> m b) -> m ()
- mapM_ :: MonadIO m => (a -> m b) -> BroadcastChan Out a -> m ()

# Documentation

forM_ :: MonadIO m => BroadcastChan Out a -> (a -> m b) -> m () Source #

`mapM_` with it's arguments flipped.

mapM_ :: MonadIO m => (a -> m b) -> BroadcastChan Out a -> m () Source #

Map a monadic function over the elements of a `BroadcastChan`, ignoring the results.